summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO9
-rw-r--r--PKGBUILD27
2 files changed, 22 insertions, 14 deletions
diff --git a/.SRCINFO b/.SRCINFO
index d4ab5a50639..bda55c63660 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = python-oct2py
pkgdesc = Python to GNU Octave bridge.
- pkgver = 5.2.0
- pkgrel = 2
+ pkgver = 5.3.0
+ pkgrel = 1
url = http://github.com/blink1073/oct2py
arch = any
license = MIT
@@ -16,8 +16,7 @@ pkgbase = python-oct2py
optdepends = python-sphinx: documentation support
optdepends = python-sphinx-bootstrap-theme
optdepends = python-numpydoc: documentation support
- source = https://files.pythonhosted.org/packages/source/o/oct2py/oct2py-5.2.0.tar.gz
- sha256sums = 7e7f03724d60745b6ff49760027712a5ae22ed3c67f8d4560ba8a80c2ebdfaf0
+ source = https://files.pythonhosted.org/packages/source/o/oct2py/oct2py-5.3.0.tar.gz
+ b2sums = 90bcfa9aafd16ba4da214e311c878eb864bc13310db1c4135258029e35f6adf0dfd241d8d6ec5f51a3a0a07c104d2eb7baed8cb87144a130f595677a24da4b90
pkgname = python-oct2py
-
diff --git a/PKGBUILD b/PKGBUILD
index 67dfe6099b1..c0621890a0e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,32 +1,41 @@
-# Maintainer: PumpkinCheshire <sollyonzou@gmail.com>
+#!/bin/bash
+
+# Maintainer: PumpkinCheshire <me at pumpkincheshire dot com>
# Contributor: Ishan Arora <ishanarora@gmail.com>
_name=oct2py
pkgname=python-oct2py
-pkgver=5.2.0
-pkgrel=2
+pkgver=5.3.0
+pkgrel=1
pkgdesc="Python to GNU Octave bridge."
arch=('any')
url="http://github.com/blink1073/oct2py"
license=('MIT')
-depends=('python-scipy' 'python-numpy' 'jupyter-octave_kernel' 'gnuplot')
-optdepends=('python-pytest: for test use'
+depends=(
+ 'python-scipy'
+ 'python-numpy'
+ 'jupyter-octave_kernel'
+ 'gnuplot')
+optdepends=(
+ 'python-pytest: for test use'
'python-pandas: for test use'
'jupyter-nbconvert: for test use'
'python-sphinx: documentation support'
'python-sphinx-bootstrap-theme'
- 'python-numpydoc: documentation support')
+ 'python-numpydoc: documentation support'
+)
makedepends=('python-setuptools')
source=("https://files.pythonhosted.org/packages/source/${_name::1}/${_name}/${_name}-${pkgver}.tar.gz")
-sha256sums=('7e7f03724d60745b6ff49760027712a5ae22ed3c67f8d4560ba8a80c2ebdfaf0')
+b2sums=('90bcfa9aafd16ba4da214e311c878eb864bc13310db1c4135258029e35f6adf0dfd241d8d6ec5f51a3a0a07c104d2eb7baed8cb87144a130f595677a24da4b90')
build() {
- cd "$srcdir/$_name-$pkgver"
+ cd "$srcdir/$_name-$pkgver" || exit
+ export PYTHONHASHSEED=0
python setup.py build
}
package() {
- cd "$srcdir/$_name-$pkgver"
+ cd "$srcdir/$_name-$pkgver" || exit
python setup.py install --root="$pkgdir/" --optimize=1 --skip-build
install -Dm644 LICENSE.txt "$pkgdir/usr/share/licenses/python-$_name/LICENSE"
}